org.richfaces.component

## Enum UIStatus.Properties

- java.lang.Object
- - java.lang.Enum<UIStatus.Properties>
  - - org.richfaces.component.UIStatus.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIStatus.Properties>
  Enclosing class:
    UIStatus

      protected static enum UIStatus.Properties
      extends Enum<UIStatus.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `errorStyle`
    `errorStyleClass`
    `errorText`
    `name`
    `onerror`
    `onstart`
    `onstop`
    `onsuccess`
    `startStyle`
    `startStyleClass`
    `startText`
    `stopStyle`
    `stopStyleClass`
    `stopText`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIStatus.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIStatus.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### errorStyle

          public static final UIStatus.Properties errorStyle

    - #### errorStyleClass

          public static final UIStatus.Properties errorStyleClass

    - #### errorText

          public static final UIStatus.Properties errorText

    - #### name

          public static final UIStatus.Properties name

    - #### onerror

          public static final UIStatus.Properties onerror

    - #### onstart

          public static final UIStatus.Properties onstart

    - #### onstop

          public static final UIStatus.Properties onstop

    - #### onsuccess

          public static final UIStatus.Properties onsuccess

    - #### startStyle

          public static final UIStatus.Properties startStyle

    - #### startStyleClass

          public static final UIStatus.Properties startStyleClass

    - #### startText

          public static final UIStatus.Properties startText

    - #### stopStyle

          public static final UIStatus.Properties stopStyle

    - #### stopStyleClass

          public static final UIStatus.Properties stopStyleClass

    - #### stopText

          public static final UIStatus.Properties stopText

  - ### Method Detail

    - #### values

          public static UIStatus.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIStatus.Properties c : UIStatus.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIStatus.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.